%define aurox_ver 10.1
%define rel 1

%define api_ver 1.0

%define version   1.0.6

Summary:       The Advanced Linux Sound Architecture (ALSA) OSS compatibility library
Name:          alsa-oss
Version:       %version
Release: %{aurox_ver}.aur.%{rel}
Copyright:     GPL
Group:         System Environment/Libraries
Source:        ftp://ftp.alsa-project.org/pub/utils/alsa-oss-%{version}.tar.bz2
#Patch0:        alsa-oss-cvscompile.patch
URL:           http://www.alsa-project.org
BuildRoot:     %{_tmppath}/%{name}-%{version}-root
Requires:      alsa-lib >= %{api_ver}
BuildRequires: alsa-lib-devel >= %{api_ver}

%description
The Advanced Linux Sound Architecture (ALSA) provides audio and MIDI
functionality to the Linux operating system. ALSA has the following
significant features: Efficient support for all types of audio interfaces,
from consumer soundcards to professional multichannel audio interfaces,
fully modularized sound drivers, SMP and thread-safe design, user space
library (alsa-lib) to simplify application programming and provide higher
level functionality as well as support for the older OSS API, providing
binary compatibility for most OSS programs.

aoss is a simple wrapper script which facilitates the use of the
ALSA OSS compatibility library. It just sets the appropriate LD_PRELOAD
path and then runs the command.

%prep
%setup -q

%build
%configure
make

%install
rm -rf $RPM_BUILD_ROOT

mkdir -p $RPM_BUILD_ROOT%{_bindir} 
mkdir -p $RPM_BUILD_ROOT%{_sbindir} 
mkdir -p $RPM_BUILD_ROOT%{_mandir}/man1
make DESTDIR=$RPM_BUILD_ROOT install

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-, root, root)
%doc COPYING
%{_bindir}/*
%{_libdir}/*
%{_includedir}/*
%{_mandir}/man1/*

%changelog
* Thu Sep 30 2004 Aurox Team <aurox@aurox.org> 0:1.0.6-10.1.aur.1
- version 1.0.6
- version 1.0.5
- add header file to file list
- latest bugfix release
- fix Group
- initial import

* Thu Jan  8 2004 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 1.0.1-1.cvs
- cvs: 01/08/2004
* Tue Jan  6 2004 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 1.0.0-2.rc2.cvs
- cvs: 01/06/2004
- initial build
